2007年10月13日土曜日

Imagick

Imagick を使いたかったので

pecl install imagick とインストールしようとしたが下記のエラーでインストールできなかった。
checking Wand-config in default path... configure: error: Cannot locate configuration program Wand-config
ERROR: `/tmp/pear/download/imagick-2.0.0/configure --with-imagick' failed
pecl がだめなら apt-get にないかなと探したら php5-imagick というのがあったのでインストール
してみたけど、new Imagic()ができない。。。

こちら(→ [type33 wiki] )のサイトで Wand-config をインストールするためには以下で可能と
記載があったので入れてみて、再度 pecl からインストール

apt-get install libmagick++9-dev

無事起動しました。